﻿using SqlSugar;
using System.Runtime.Serialization;

namespace WCS.Entity.Protocol.Station
{
    /// <summary>
    /// 外检读取数据
    /// </summary>
    [SugarTable(nameof(WCS_Station91), "外检读取数据")]
    [DataContract]
    public class WCS_Station91 : WCS_PROTOCOLDATA, IStation91
    {
        /// <summary>
        /// 外检故障
        /// </summary>
        [SugarColumn(ColumnDescription = "外检故障")]
        [DataMember(Order = 0)]
        public ShapeAlarmEunm ShapeAlarm { get; set; }

        /// <summary>
        /// 重量
        /// </summary>
        [SugarColumn(ColumnDescription = "重量")]
        [DataMember(Order = 1)]
        public float Weight { get; set; }

        /// <summary>
        /// 长度
        /// </summary>
        [SugarColumn(ColumnDescription = "长度")]
        [DataMember(Order = 2)]
        public float Length { get; set; }

        /// <summary>
        /// 宽度
        /// </summary>
        [SugarColumn(ColumnDescription = "宽度")]
        [DataMember(Order = 3)]
        public float Width { get; set; }
    }
}
