﻿using SqlSugar;
using System;

namespace WCS.Entity
{
    /// <summary>
    /// 任务详情表
    /// </summary>
    [SugarTable(nameof(WCS_TASK_DTL), "任务表")]
    public class WCS_TASK_DTL : OBJ
    {
        /// <summary>
        /// 父级任务号
        /// </summary>
        public int ParentTaskCode { get; set; }

        /// <summary>
        /// 当前位置
        /// </summary>
        public string CurPoint { get; set; }

        /// <summary>
        /// 下一个地址
        /// </summary>
        public string NextPoint { get; set; }

        /// <summary>
        /// 描述
        /// </summary>
        public string Desc { get; set; }

        /// <summary>
        /// 执行时间
        /// </summary>
        public DateTime ExecTime { get; set; }
    }
}
