﻿using Microsoft.AspNetCore.Mvc;
using WCS.WorkEngineering.WebApi.Models;

namespace WCS.WorkEngineering.WebApi.Controllers
{
    /// <summary>
    /// AGV相关接口控制器
    /// </summary>
    [ApiController]
    [Route("[controller]/[action]")]
    public class AgvController : ControllerBase
    {
        /// <summary>
        /// AGV执行回调
        /// </summary>
        /// <param name="reqDto"></param>
        /// <returns></returns>
        [HttpPost]
        public AgvCallbackResponse AgvCallback(AgvCallbackRequest reqDto)
        {
            switch (reqDto.method)
            {
                case "申请":
                    break;
                case "申请放货":
                    break;

                case "申请取货":
                    break;

                case "取放完成":
                    break;

                default:
                    break;
            }

            var res = new AgvCallbackResponse() { code = "0", message = "成功" };

            return res;
        }
    }
}
