﻿namespace WCS.Entity.Protocol.Station
{
    /// <summary>
    /// 外检读取信息
    /// </summary>
    public interface IStation91 : IProtocol
    {
        /// <summary>
        /// 外形检测故障
        /// </summary>
        ShapeAlarmEunm ShapeAlarm { get; set; }

        /// <summary>
        /// 重量
        /// </summary>
        [IgnoreChanging]
        float Weight { get; set; }

        /// <summary>
        /// 长度
        /// </summary>
        [IgnoreChanging]
        float Length { get; set; }

        /// <summary>
        /// 高度
        /// </summary>
        [IgnoreChanging]
        float Width { get; set; }


    }
}
