﻿using SqlSugar;
using System.Runtime.Serialization;

namespace WCS.Entity.Protocol.Station
{
    /// <summary>
    /// 站台状态读取记录表
    /// </summary>
    [SugarTable(nameof(WCS_Station523), "站台状态读取记录表")]
    [DataContract]
    public class WCS_Station523 : WCS_PROTOCOLDATA, IStation522
    {
        /// <summary>
        /// 警报
        /// </summary>
        [SugarColumn(ColumnDescription = "警报")]
        [DataMember(Order = 0)]
        public AlarmEunm Alarm { get; set; }

        /// <summary>
        /// 备用
        /// </summary>
        [SugarColumn(ColumnDescription = "备用")]
        [DataMember(Order = 1)]
        public short RES { get; set; }

        /// <summary>
        /// 状态
        /// </summary>
        [SugarColumn(ColumnDescription = "状态")]
        [DataMember(Order = 2)]
        public StatusEunm Status { get; set; }

        /// <summary>
        /// 运行时间
        /// </summary>
        [SugarColumn(ColumnDescription = "运行时间")]
        [DataMember(Order = 3)]
        public float RunTime { get; set; }
    }
}
