﻿using System.ComponentModel;
using WCS.Core;
using WCS.Entity.Protocol.Station;
using WCS.WorkEngineering.Worlds;

namespace WCS.WorkEngineering.Systems
{
    /// <summary>
    ///  主线扫码
    /// </summary>
    [BelongTo(typeof(SortingMainLineWorld))]
    [Description("主线扫码")]
    public class MainLineScanCode : DeviceSystem<Device<IStation520, IStation521, IStation522>>
    {
        protected override bool ParallelDo => throw new NotImplementedException();

        protected override bool SaveLogsToFile => throw new NotImplementedException();

        public override void Do(Device<IStation520, IStation521, IStation522> obj)
        {
            throw new NotImplementedException();
        }

        public override bool Select(Device dev)
        {
            return new int[] { 1701, 2101, 1717, 2117 }.Contains(int.Parse(dev.Code));
        }
    }
}
